"""Add display and permission attribute to ActionItem.

Revision ID: 315908ef54fc
Revises: 4b7b8545a7a
Create Date: 2014-02-07 09:04:17.103729

"""

# revision identifiers, used by Alembic.
revision = '315908ef54fc'
down_revision = '4b7b8545a7a'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('actions', sa.Column('display', sa.Text(), nullable=True))
    op.add_column('actions', sa.Column('permission', sa.Text(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('actions', 'permission')
    op.drop_column('actions', 'display')
    ### end Alembic commands ###
    iter_statements(DELETES)
